# Uses of Enum
org.eclipse.mat.query.Column.SortDirection

Packages that use Column.SortDirection
Package
Description
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.query.quantize
Value or linear frequency distribution histograms.
org.eclipse.mat.query.refined
A way of controlling the detail given by the output of a query.

## Uses of Column.SortDirection in org.eclipse.mat.query

Methods in org.eclipse.mat.query that return Column.SortDirection
Modifier and Type
Method
Description
`static Column.SortDirection`
Column.SortDirection.`defaultFor(Column column)`
Get the default ordering for a column.
`Column.SortDirection`
ResultMetaData.`getPreSortedDirection()`
The direction by which the result is pre-sorted (if it is actually pre-sorted)
`Column.SortDirection`
Column.`getSortDirection()`
`static Column.SortDirection`
Column.SortDirection.`of(int swtCode)`
Get the direction the column is sorted in based on SWT code
`static Column.SortDirection`
Column.SortDirection.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Column.SortDirection[]`
Column.SortDirection.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.mat.query with parameters of type Column.SortDirection
Modifier and Type
Method
Description
`ResultMetaData.Builder`
ResultMetaData.Builder.`setIsPreSortedBy(int columnIndex, Column.SortDirection direction)`
Indicates that the table or tree is already sorted by the query and (a) prevents sorting by the UI and (b) sets the sort indicators to the right columns.
`Column`
Column.`sorting(Column.SortDirection direction)`
Initial sort direction of the column.
Constructors in org.eclipse.mat.query with parameters of type Column.SortDirection
Modifier
Constructor
Description
``
`Column(String label, Class<?> type, Column.Alignment align, Column.SortDirection direction, Format formatter, Comparator<?> comparator)`
Build a column with the given label.

## Uses of Column.SortDirection in org.eclipse.mat.query.quantize

Methods in org.eclipse.mat.query.quantize with parameters of type Column.SortDirection
Modifier and Type
Method
Description
`Quantize.Builder`
Quantize.Builder.`column(String label, Quantize.Function.Factory function, Column.SortDirection sortDirection)`
Add a column identified by label and function and sort the result in the given sort direction.

## Uses of Column.SortDirection in org.eclipse.mat.query.refined

Methods in org.eclipse.mat.query.refined that return Column.SortDirection
Modifier and Type
Method
Description
`Column.SortDirection`
RefinedStructuredResult.`getSortDirection()`
Methods in org.eclipse.mat.query.refined with parameters of type Column.SortDirection
Modifier and Type
Method
Description
`void`
RefinedResultBuilder.`setSortOrder(int[] indices, Column.SortDirection[] directions)`
Arrange to sort the table by multiple columns.
`void`
RefinedResultBuilder.`setSortOrder(int columnIndex, Column.SortDirection direction)`
Arrange to sort the table by a particular column.
`void`
RefinedStructuredResult.`setSortOrder(Column queryColumn, Column.SortDirection direction)`